cURL
curl --request POST \
--url https://api.yourjobsearchgenius.ai/v1/invoices/pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"_id": "507f1f77bcf86cd799439011",
"expiryDate": "1672531200",
"invoiceUrl": "https://example.com/invoices/12345",
"subscriptionId": "sub_abc123",
"paidAt": "1672531200"
}
'import requests
url = "https://api.yourjobsearchgenius.ai/v1/invoices/pay"
payload = {
"_id": "507f1f77bcf86cd799439011",
"expiryDate": "1672531200",
"invoiceUrl": "https://example.com/invoices/12345",
"subscriptionId": "sub_abc123",
"paidAt": "1672531200"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
_id: '507f1f77bcf86cd799439011',
expiryDate: '1672531200',
invoiceUrl: 'https://example.com/invoices/12345',
subscriptionId: 'sub_abc123',
paidAt: '1672531200'
})
};
fetch('https://api.yourjobsearchgenius.ai/v1/invoices/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Invoice created successfully"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Reseller - Invoices
Pay invoice
Record a payment for an invoice and update its status in the system. This API is integral for maintaining accurate financial records.
POST
/
invoices
/
pay
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Invoice to add to the system.
Invoice ID in their system
Example:
"507f1f77bcf86cd799439011"
The expiry date of the invoice(unix timestamp in milliseconds)
Example:
"1672531200"
URL to access the invoice
Example:
"https://example.com/invoices/12345"
Subscription ID in our system
Example:
"sub_abc123"
The expiry date of the invoice(unix timestamp in milliseconds)
Example:
"1672531200"
⌘I